> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new GPS device

> Operacion: Create a new GPS device.



## OpenAPI

````yaml /generated/specs/sales.json post /api/v1/quoter/devices
openapi: 3.0.0
info:
  title: Raul API - Ventas
  description: >-
    Cotizaciones, pipeline, outreach comercial, equipos cotizables y ventas de
    equipamiento.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/quoter/devices:
    post:
      tags:
        - Quoter - Devices
      summary: Create a new GPS device
      description: 'Operacion: Create a new GPS device.'
      operationId: DevicesController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateDeviceDto'
      responses:
        '201':
          description: Device created successfully
      security:
        - bearerAuth: []
components:
  schemas:
    CreateDeviceDto:
      type: object
      properties:
        gps_model_name:
          type: string
          description: Device model name
        brand_id:
          type: number
          description: Brand ID
        category_id:
          type: number
          description: Category ID
        sale_price:
          type: number
          description: Sale price
        installation_cost:
          type: number
          description: Installation cost
        installation_cost_venta:
          type: number
          description: Installation cost for SALE modality
        installation_cost_comodato:
          type: number
          description: Installation cost for COMODATO modality
        monthly_rental:
          type: number
          description: Monthly rental
        monthly_service:
          type: number
          description: Monthly service
        monthly_platform:
          type: number
          description: Monthly platform
        internal_notes:
          type: string
          description: Internal notes
        images:
          description: Image URLs array
          type: array
          items:
            type: string
        datasheets:
          description: Datasheet URLs array
          type: array
          items:
            type: string
        is_legacy:
          type: boolean
          description: Legacy flag
      required:
        - gps_model_name
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````